{
  inputs,
  pkgs,
  lib,
  config,
  ...
}: let
  cfg = config.my.spotify;
in {
  imports =
    if pkgs.stdenv.isDarwin
    then [
      inputs.spicetify.darwinModules.spicetify
    ]
    else [
      inputs.spicetify.nixosModules.spicetify
    ];

  options.my.spotify = {
    enable = lib.mkEnableOption "spotify";
  };

  config = lib.mkIf cfg.enable (
    let
      spicePkgs = inputs.spicetify.legacyPackages.${pkgs.stdenv.system};
    in {
      programs.spicetify = {
        enable = true;
        enabledExtensions = with spicePkgs.extensions; [
          adblockify
          keyboardShortcut
        ];
        theme = spicePkgs.themes.text;
        colorScheme = "gruvbox";
      };
    }
  );
}
