{
  pkgs,
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;
  cfg = config.my.steam;
in {
  options.my.steam = {
    enable = mkEnableOption "steam";
  };

  config = mkIf cfg.enable {
    programs.steam = {
      enable = true;
      package = pkgs.unstable.steam;
      gamescopeSession.enable = true;
    };
  };
}
